local monocle = require("#monocle")
local coroutineEntity = monocle.Entity()

function onTalk()
	getLevel():add(coroutineEntity)
	disableMovement()
	makeUnskippable()
	wait(0.2)
	say("LL_SECRET_E_1")
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(6038, 764), 0.8))
	wait(1.0)
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(6128, 764), 0.8))
	say("LL_SECRET_E_2")
	say("LL_SECRET_E_3")
	say("LL_SECRET_E_4")
	wait(0.1)
end

function onEnd(room, wasSkipped)
	if wasSkipped then
	enableMovement()
	else
	enableMovement()
	end
end